CREATE TABLE [BitLockerPolicyDevice] (
  [DeviceGuid] nvarchar(100) NOT NULL
);
GO
ALTER TABLE [BitLockerPolicyDevice] ADD CONSTRAINT [BitLockerPolicyDevice_DeviceGuid_PK] PRIMARY KEY ([DeviceGuid]);
GO
ALTER TABLE [Asset_Software] ALTER COLUMN [InstallLocation] nvarchar(4000) NULL;
GO
ALTER TABLE [Asset_Software] ALTER COLUMN [PackageCode] nvarchar(255) NULL;
GO
ALTER TABLE [Asset_Software] ALTER COLUMN [PackageName] nvarchar(255) NULL;
GO
ALTER TABLE [Asset_Win32_Service] ALTER COLUMN [PathName] nvarchar(4000) NULL;
GO
-- Adding as column with NOT NULL is not allowed, set a default value or allow NULL
ALTER TABLE [BitLockerSettings] ADD [NeedsUpdate] bit DEFAULT (((0))) NOT NULL;
GO
